cURL
curl --request PUT \
--url https://api.smartbills.io/v1/businesses/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"stateCode": "<string>",
"countryCode": "<string>",
"postalCode": "<string>"
},
"logo": "<string>",
"timezone": "<string>",
"currency": "<string>",
"website": "<string>",
"phoneNumber": "<string>",
"locale": "<string>"
}
'import requests
url = "https://api.smartbills.io/v1/businesses/{id}"
payload = {
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"stateCode": "<string>",
"countryCode": "<string>",
"postalCode": "<string>"
},
"logo": "<string>",
"timezone": "<string>",
"currency": "<string>",
"website": "<string>",
"phoneNumber": "<string>",
"locale": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
stateCode: '<string>',
countryCode: '<string>',
postalCode: '<string>'
},
logo: '<string>',
timezone: '<string>',
currency: '<string>',
website: '<string>',
phoneNumber: '<string>',
locale: '<string>'
})
};
fetch('https://api.smartbills.io/v1/businesses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"stateCode": "<string>",
"country": "<string>",
"countryCode": "<string>",
"postalCode": "<string>",
"location": {
"longitude": 123,
"latitude": 123
},
"googlePlaceId": "<string>",
"formattedAddress": "<string>"
},
"currency": "<string>",
"slug": "<string>",
"timezone": "<string>",
"website": "<string>",
"phoneNumber": "<string>",
"logo": "<string>",
"locale": "<string>",
"brand": {
"id": 123,
"logo": "<string>",
"icon": "<string>",
"coverImage": "<string>",
"primaryColor": "<string>",
"secondaryColor": "<string>",
"facebook": "<string>",
"instagram": "<string>",
"linkedIn": "<string>",
"twitter": "<string>",
"youTube": "<string>",
"tikTok": "<string>",
"googleAnalyticsId": "<string>",
"gtmId": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"billingCheckoutUrl": "<string>"
}Businesses
Put v1businesses
PUT
/
v1
/
businesses
/
{id}
cURL
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I